# Class CIM_ServiceAccessURI
extends CIM_ServiceAccessPoint

CIM_ServiceAccessURI represents the ability to utilize or invoke a Service using a uniform resource identifier (URI). RFC 1738 describes the Uniform Resource Locator, which is a more specific form of a URI, and RFC 2396 describes the broader, inclusive URI. The following explanation is from the RFC: "A Uniform Resource Identifier (URI) is a compact string of characters for identifying an abstract or physical resource." In the context of a ServiceAccessPoint, a URI contains the information necessary to access an associated service (associated through ServiceAccessBySAP), using a syntax that is specific to that service.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_ManagedSystemElement
|
+--CIM_LogicalElement
|
+--CIM_EnabledLogicalElement
|
+--CIM_ServiceAccessPoint
|
+--CIM_ServiceAccessURI

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---

Description

string

CIM_ServiceAccessURI represents the ability to utilize or invoke a Service using a uniform resource identifier (URI). RFC 1738 describes the Uniform Resource Locator, which is a more specific form of a URI, and RFC 2396 describes the broader, inclusive URI. The following explanation is from the RFC: "A Uniform Resource Identifier (URI) is a compact string of characters for identifying an abstract or physical resource." In the context of a ServiceAccessPoint, a URI contains the information necessary to access an associated service (associated through ServiceAccessBySAP), using a syntax that is specific to that service.

UMLPackagePath | string | CIM::Core::Service
Version | string | 2.10.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
LabeledURI | string |
Description | string | The LabeledURI property is based on RFC 2079 and its value and syntax are service-specific.
MaxLen | uint32 | 256
Required | boolean | true

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
CommunicationStatus | uint16 | CIM_ManagedSystemElement
CreationClassName | string | CIM_ServiceAccessPoint
Description | string | CIM_ManagedElement
DetailedStatus | uint16 | CIM_ManagedSystemElement
ElementName | string | CIM_ManagedElement
EnabledDefault | uint16 | CIM_EnabledLogicalElement
EnabledState | uint16 | CIM_EnabledLogicalElement
HealthState | uint16 | CIM_ManagedSystemElement
InstallDate | datetime | CIM_ManagedSystemElement
InstanceID | string | CIM_ManagedElement
Name | string | CIM_ServiceAccessPoint
OperatingStatus | uint16 | CIM_ManagedSystemElement
OtherEnabledState | string | CIM_EnabledLogicalElement
PrimaryStatus | uint16 | CIM_ManagedSystemElement
RequestedState | uint16 | CIM_EnabledLogicalElement
Status | string | CIM_ManagedSystemElement
SystemCreationClassName | string | CIM_ServiceAccessPoint
SystemName | string | CIM_ServiceAccessPoint
TimeOfLastStateChange | datetime | CIM_EnabledLogicalElement
TransitioningToState | uint16 | CIM_EnabledLogicalElement
AvailableRequestedStates | uint16[] | CIM_EnabledLogicalElement
OperationalStatus | uint16[] | CIM_ManagedSystemElement
StatusDescriptions | string[] | CIM_ManagedSystemElement

## Class Methods

### Inherited Class Methods

Name | Return Type | Class Origin
--- | --- | ---
RequestStateChange | uint32 | CIM_EnabledLogicalElement